Loading...
Searching...
No Matches
fastjet::PruningRecombiner Class Reference

More...

`#include <fastjet/tools/Pruner.hh>`

Inheritance diagram for fastjet::PruningRecombiner:
[legend]
Collaboration diagram for fastjet::PruningRecombiner:
[legend]

## Public Member Functions

| PruningRecombiner (double zcut, double Rcut, const JetDefinition::Recombiner *recombiner)
| ctor
virtual void | recombine (const PseudoJet &pa, const PseudoJet &pb, PseudoJet &pab) const
| perform a recombination taking into account the pruning conditions
virtual std::string | description () const
| returns the description of the recombiner
const std::vector< unsigned int > & | rejected () const
| return the history indices that have been pruned away
void | clear_rejected ()
| clears the list of rejected indices
Public Member Functions inherited from fastjet::JetDefinition::Recombiner
virtual void | preprocess (PseudoJet &) const
| routine called to preprocess each input jet (to make all input jets compatible with the scheme requirements (e.g.
virtual | ~Recombiner ()
| a destructor to be replaced if necessary in derived classes...
void | plus_equal (PseudoJet &pa, const PseudoJet &pb) const
| pa += pb in the given recombination scheme.

## Detailed Description

Definition at line 242 of file Pruner.hh.

## Constructor & Destructor Documentation

## PruningRecombiner()

fastjet::PruningRecombiner::PruningRecombiner | ( | double | zcut,
|  | double | Rcut,
|  | const JetDefinition::Recombiner * | recombiner )

inline

ctor

Parameters

  zcut | transverse momentum fraction cut
  Rcut | angular separation cut
  recomb | pointer to a recombiner to use to cluster pairs

Definition at line 248 of file Pruner.hh.

## Member Function Documentation

## recombine()

void fastjet::PruningRecombiner::recombine | ( | const PseudoJet & | pa,
|  | const PseudoJet & | pb,
|  | PseudoJet & | pab ) const

virtual

perform a recombination taking into account the pruning conditions

Implements fastjet::JetDefinition::Recombiner.

Definition at line 221 of file Pruner.cc.

## description()

string fastjet::PruningRecombiner::description | ( |  | ) | const

virtual

returns the description of the recombiner

Implements fastjet::JetDefinition::Recombiner.

Definition at line 252 of file Pruner.cc.

## rejected()

const std::vector< unsigned int > & fastjet::PruningRecombiner::rejected | ( |  | ) | const

inline

return the history indices that have been pruned away

Definition at line 263 of file Pruner.hh.

## clear_rejected()

void fastjet::PruningRecombiner::clear_rejected | ( |  | ) |

inline

clears the list of rejected indices

If one decides to use this recombiner standalone, one has to call this after each clustering in order for the rejected() vector to remain sensible and not grow to infinite size.

Definition at line 270 of file Pruner.hh.

The documentation for this class was generated from the following files:

- tools/fastjet/tools/Pruner.hh
- tools/Pruner.cc